C3DMultiImageRegister Class Reference
Image Registration and Transformation

A 3D non-rigid image registration class. More...

`#include <mia/3d/multireg.hh>`

## Public Member Functions

| C3DMultiImageRegister (size_t start_size, size_t max_iter, C3DRegModel &model, C3DRegTimeStep &time_step, float outer_epsilon)
P3DTransformation | operator() (C3DImageFatCostList &cost, P3DInterpolatorFactory ipf)

## Detailed Description

A 3D non-rigid image registration class.

Initialise it with the desired parameters and call it with the source (template) and reference image to obtain a vector field describing the registration.

Definition at line 46 of file multireg.hh.

## Constructor & Destructor Documentation

## C3DMultiImageRegister()

C3DMultiImageRegister::C3DMultiImageRegister | ( | size_t | start_size,
|  | size_t | max_iter,
|  | C3DRegModel & | model,
|  | C3DRegTimeStep & | time_step,
|  | float | outer_epsilon )

The constructor:

Parameters

  start_size | an approximate size for the lowest resolution in the multi-resolution registration
  max_iter | maximum number of times steps to be used at each multi-grid level
  model | the registration model (e.g.- navier for linear elasticity operator)
  time_step | the time step model (e.g. fluid to letthe model operator work on the velocity field instead of the deformation field)
  outer_epsilon | a relative cost function value per multi-grid level to stop registration

## Member Function Documentation

## operator()()

P3DTransformation C3DMultiImageRegister::operator() | ( | C3DImageFatCostList & | cost,
|  | P3DInterpolatorFactory | ipf )

The registration operator that does the registration

Parameters

  cost | the cost function to be minimized
  ipf | interpolation factory used for image transformations

Returns
  a vector field describing the registration

The documentation for this class was generated from the following file:

- multireg.hh